//
//  AppDelegate.swift
//  SPMDemo
//
//

import UIKit
import AVFoundation

import PRESTOplay
import CastlabsApple
import CastlabsVT

@main
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?

    func application(
        _: UIApplication,
        didFinishLaunchingWithOptions _: [UIApplication.LaunchOptionsKey: Any]?
    )
        -> Bool
    {
        try? AVAudioSession.sharedInstance().setCategory(.playback)

        _ = PRESTOplaySDK.shared.setup(
            "LICENSE",
            [
                HLSPlugin(),
                VTPlugin(),
            ]
        )
        // swiftlint: enable line_length
        return true
    }
}
